BOOT_MVME68K(8)

NAME
boot_mvme68k - mvme68k system bootstrapping procedures

DESCRIPTION

  Cold starts
When powered on, the mvme68k BUG firmware will proceed to its initialization, and will boot an operating system if autoboot is enabled. By sending a “break” to the serial line during the initialization sequence, it is possible to stop the boot process and interact with the BUG.

  Warm starts
After a panic, or if the system is rebooted via reboot(8) or shutdown(8), the BUG firmware will only restart the operating system if autoboot is enabled and “Auto Boot at power-up only” is disabled in the BUG environment.

  Boot process options
The BUG firmware will let the user enter a boot device identification, kernel filename and boot options. If no filename is specified, /bsd will be used by default.

The following boot options are recognized:

-a  Prompt for the root filesystem device after the devices have been configured.
-b  On the next system reboot, always halt the system, even if a reboot is required.
-c  Enter the “User Kernel Configuration” mode upon startup (see boot_config(8)).
-d  Enter the debugger, ddb(4), as soon as the kernel console has been initialized.
-s  Boot the system single-user. The system will be booted multi-user unless this option is specified.

  Abnormal system termination
In case of system crashes, the kernel will usually enter the kernel debugger, ddb(4), unless it is not present in the kernel, or it is disabled via the ddb.panic sysctl. Upon leaving ddb, or if ddb was not entered, the kernel will halt the system if it was still in device configuration phase, or attempt a dump to the configured dump device, if possible. The crash dump will then be recovered by savecore(8) during the next multi-user boot cycle. It is also possible to force other behaviours from ddb.

FILES
/bsd
    default system kernel
/bsd.rd
    standalone installation kernel, suitable for disaster recovery
/usr/mdec/bootxx
    primary bootstrap code for “ffs” file system on SCSI disks
/usr/mdec/bootsd
    secondary bootstrap code for SCSI disks (usually also installed as /bootsd)
/usr/mdec/bootst
    SCSI tape bootstrap code
/usr/mdec/netboot
    network bootstrap code
/usr/mdec/sboot
    network bootstrap code in S-Records, for older BUG firmware lacking the NBO command.
/usr/mdec/rboot
    network bootstrap code in S-Records, suitable for user eeprom burning.
/usr/mdec/stboot
    Motorola VID block put as first file on bootable SCSI tapes

SEE ALSO
ddb(4), boot_config(8), halt(8), init(8), installboot(8), reboot(8), savecore(8), shutdown(8)